package nf

import (
	"github.com/sirupsen/logrus"
)

type Logger interface {
	Trace(...any)
	Tracef(string, ...any)

	Debug(...any)
	Debugf(string, ...any)

	Info(...any)
	Infof(string, ...any)

	Warn(...any)
	Warnf(string, ...any)

	Error(...any)
	Errorf(string, ...any)

	Panic(...any)
	Panicf(string, ...any)

	Fatal(...any)
	Fatalf(string, ...any)
}

var (
	defaultLogger = logrus.New()
)
